Projects
Update a project
Updates a project. Only project owner or account admin can update projects.
PATCH
/
projects
/
{project_id}
Update a project
curl --request PATCH \
--url https://app.gomangrove.com/api/v1/projects/{project_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"project": {
"name": "Updated Project Name",
"description": "Updated project description",
"start_date": "2025-01-01",
"field_values": {
"custom_field_1": "value1",
"custom_field_2": "value2"
}
}
}
'import requests
url = "https://app.gomangrove.com/api/v1/projects/{project_id}"
payload = { "project": {
"name": "Updated Project Name",
"description": "Updated project description",
"start_date": "2025-01-01",
"field_values": {
"custom_field_1": "value1",
"custom_field_2": "value2"
}
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: {
name: 'Updated Project Name',
description: 'Updated project description',
start_date: '2025-01-01',
field_values: {custom_field_1: 'value1', custom_field_2: 'value2'}
}
})
};
fetch('https://app.gomangrove.com/api/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "Updated Project Name",
"description": "Updated project description",
"project_type": "Biochar",
"credit_types": [
"CORC"
],
"country": "US",
"state": "Washington",
"project_status": "ACTIVE",
"registry_name": "Puro.Earth",
"registry_link": "",
"methodology": "Puro Biochar Methodology v3 2023",
"images": [
{
"name": "Image.png",
"url": "http://...."
}
],
"sustainable_development_goals": [
"good_health_and_wellbeing",
"quality_education"
]
}{
"status": "error",
"statusCode": 400,
"errors": [
{
"message": "Name can't be blank"
}
]
}{
"status": "error",
"statusCode": 403,
"errors": [
{
"message": "Only project owner or account admin can update projects"
}
]
}{
"status": "error",
"statusCode": 404,
"errors": [
{
"message": "Project not found."
}
]
}Authorizations
Path Parameters
Id of project
Body
application/json
Show child attributes
Show child attributes
⌘I
Update a project
